#!/usr/bin/env python3

import pickle
# NO ADDITIONAL IMPORTS ALLOWED!

def acted_together(data, actor_id_1, actor_id_2):
    raise NotImplementedError("Implement me!")


def actors_with_bacon_number(data, n):
    raise NotImplementedError("Implement me!")


def bacon_path(data, actor_id):
    raise NotImplementedError("Implement me!")


if __name__ == '__main__':

    # example loading pickle file
    with open('resources/small.pickle', 'rb') as f:
        smalldb = pickle.load(f)

    # additional code here will be run only when lab.py is invoked directly
    # (not when imported from test.py), so this is a good place to put code
    # used, for example, to generate the results for the online questions.
    pass
